Conflict between dbexpress for 2009 v 10.3

Discussion of open issues, suggestions and bugs regarding usage of dbExpress drivers for SQL Server in Delphi and C++Builder
Post Reply
wdwhitaker123456789
Posts: 5
Joined: Tue 01 Apr 2014 23:19

Conflict between dbexpress for 2009 v 10.3

Post by wdwhitaker123456789 » Thu 20 Jun 2019 13:06

I have both Delphi 2009 and 10.3 installed on my computer. I installed dbexpress for SQL server (the demo version to test) which works fine with apps compiled with 10.3

Now, I am finding that when running those applications, I am getting an error when opening some forms related to “Type mismatch for field ‘xxx’, expecting FMTBCDField actual: BCD.

I need to still run 2009 apps, but cannot. How do I fix so I can do so?

Stellar
Devart Team
Posts: 347
Joined: Tue 03 Oct 2017 11:00

Re: Conflict between dbexpress for 2009 v 10.3

Post by Stellar » Thu 27 Jun 2019 12:31

SQL Server data types will be matched to TFieldType depending on the data type in your database, driver settings (EnableBCD, BCDPrecision), and Delphi version.
For more information about types mapping, refer to the "Type map" section of the %Program Files%\Devart\dbExpress\SqlServer\Readme.html file.
Where %Program Files% is the path to the installed Devart dbExpress driver for SQL Server on your computer.

Only one version of Devart dbExpress for SQL Server can be installed on a machine using the installer. Yes, you can use an older driver version for some applications. For this purpose, place the library into the directory where the executable file of your application resides. This will allow your OS to load the library and it won't look for the library in system paths.

Post Reply